#include "file/interface/dfitem/dfitem_access_control_2.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CDFItemAccessControl2::CDFItemAccessControl2( tinyxml2::XMLDocument *doc ) : CDFItemBase( doc )
{
    xmlElement()->SetText( "ItemAccessControl2" );
}

CDFItemAccessControl2::~CDFItemAccessControl2()
{

}

int CDFItemAccessControl2::Modify( CModifyData &modifyData )
{
    StructConfig &config = modifyData.file->m_config;

    // Externer Lesertyp eintragen
    if ( modifyData.flags & SMDF_TRANSPONDER_EXT_READER )
    {
        config.useExternalReader = modifyData.extReader;
    }

    return 1;
}
